PostgreSQL 7.4.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_cursor_fetch

## Name

SPI_cursor_fetch -- fetch some rows from a cursor

## Synopsis

    void SPI_cursor_fetch(Portal portal, bool forward, int count)

## Description

`SPI_cursor_fetch` fetches some rows from a cursor. This is equivalent to the SQL command `FETCH`.

## Arguments

`Portal portal`

  portal containing the cursor

`bool forward`

  true for fetch forward, false for fetch backward

`int count`

  maximum number of rows to fetch

## Return Value

SPI_processed and SPI_tuptable are set as in `SPI_exec` if successful.

Prev | Home | Next
SPI_cursor_find | Up | SPI_cursor_move